Get a LinkedIn person's profile by profile URL, public slug, or member URN. Returns name, headline, about, location, follower and connection counts, open-to-work status, and the experience, education, skills, certifications, languages, honors, publications, volunteering, and projects sections.
curl "https://apidirect.io/v1/linkedin/person?url=reidhoffman" \
-H "X-API-Key: YOUR_API_KEY"
{
"urn": "ACoAAAAABL0B3SGhqeNX998wiOuk_8hYA6ojLwg",
"public_identifier": "reidhoffman",
"url": "https://www.linkedin.com/in/reidhoffman",
"first_name": "Reid",
"last_name": "Hoffman",
"full_name": "Reid Hoffman",
"headline": "Co-Founder, LinkedIn, Manas AI & Inflection AI. Founding Team, PayPal. Author of Superagency. Podcaster of Possible and Masters of Scale.",
"about": "My current priority is investing in and building with AI to benefit humanity...",
"location": "United States",
"country_code": "US",
"profile_picture": "https://media.licdn.com/dms/image/...",
"cover_image": "https://media.licdn.com/dms/image/...",
"followers": 2795262,
"connections": 4324,
"is_premium": true,
"is_creator": true,
"open_to_work": false,
"experience": [
{
"title": "Co-Founder, Executive Board Chair",
"company": "Manas AI",
"company_id": "106067845",
"company_url": "https://www.linkedin.com/company/manas-ai",
"company_logo": "https://media.licdn.com/dms/image/...",
"location": "",
"employment_type": "",
"description": "Manas AI leverages proprietary AI, generative computational chemistry...",
"start_date": {"year": 2025, "month": 1},
"end_date": null,
"is_current": true
}
],
"education": [
{
"school": "Università degli Studi di Perugia",
"school_id": "2052604",
"school_url": "https://www.linkedin.com/school/universit-degli-studi-di-perugia/",
"school_logo": "https://media.licdn.com/dms/image/...",
"degree": "Honorary Doctorate",
"field_of_study": "Human Sciences",
"description": "",
"start_date": {"year": 2024, "month": 5},
"end_date": {"year": 2024, "month": 5}
}
],
"skills": [{"name": "CEOs", "endorsements": 2}],
"certifications": [],
"languages": [],
"honors": [
{"title": "Sigillum Magnum", "issuer": "University of Bologna", "issued_date": {"year": 2023, "month": 9}, "description": "Sigillum Magnum is a silver-bronze medal realized in 1888..."}
],
"publications": [
{"title": "Superagency", "publisher": "Authors Equity", "published_date": {"year": 2025, "month": 1}, "url": "https://www.superagency.ai/"}
],
"volunteering": [
{"role": "Chair, Board of Directors", "organization": "Opportunity@Work", "start_date": {"year": 2016, "month": 6}, "end_date": null}
],
"projects": [],
"source": "LinkedIn",
"domain": "linkedin.com"
}